Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.itemgenerator.types
Class AttributeTypes

    java.lang.Object
      de.jsystems.itemgenerator.types.AttributeTypes

All Implemented Interfaces:
  Serializable

public final class AttributeTypes
extends Object
implements Serializable

Diese Klasse enthaelt alle moeglichen primitiven Datentypen fuer Attribute in einem Item. Zusaetzlich gibt es noch einen Typ fuer die freie Eingabe des Typs. Hierbei handelt es sich nicht um einen echten Typ, sondern lediglich um ein Kriterium fuer die Oberflaechensteuerung.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary
`static AttributeTypes` | `BOOLEAN` Datentyp boolean.
`static AttributeTypes` | `BYTE` Datentyp byte.
`static AttributeTypes` | `CHAR` Datentyp char.
`static AttributeTypes` | `DOUBLE` Datentyp double.
`static AttributeTypes` | `FLOAT` Datentyp float.
`static AttributeTypes` | `INTEGER` Datentyp int.
`static AttributeTypes` | `LONG` Datentyp long.
`static AttributeTypes` | `OTHER` Beliebiger Datentyp.
`static AttributeTypes` | `SHORT` Datentyp short.

Method Summary
`boolean` | `equals(Object o)` Prueft das uebergebene Object auf Gleichheit mit diesem Object.
`String` | `getName()` Gibt die Bezeichnung fuer den Typ zurueck.
`static AttributeTypes` | `getTypeFor(String name)` Gibt die Konstante zurueck, die dem uebergebenen Wert entspricht.
`int` | `hashCode()` Gibt den Hashcode fuer den Typ zurueck.
`String` | `toString()` Gibt eine Stringrepraesentation des Objektes zurueck.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OTHER

    public static final AttributeTypes OTHER

  Beliebiger Datentyp.

### BOOLEAN

    public static final AttributeTypes BOOLEAN

  Datentyp boolean.

### BYTE

    public static final AttributeTypes BYTE

  Datentyp byte.

### SHORT

    public static final AttributeTypes SHORT

  Datentyp short.

### CHAR

    public static final AttributeTypes CHAR

  Datentyp char.

### INTEGER

    public static final AttributeTypes INTEGER

  Datentyp int.

### LONG

    public static final AttributeTypes LONG

  Datentyp long.

### FLOAT

    public static final AttributeTypes FLOAT

  Datentyp float.

### DOUBLE

    public static final AttributeTypes DOUBLE

  Datentyp double.

Method Detail

### getName

    public String getName()

  Gibt die Bezeichnung fuer den Typ zurueck.

  Returns:
    Die Bezeichnung fuer den Typ.

### hashCode

    public int hashCode()

  Gibt den Hashcode fuer den Typ zurueck. Dabei handelt es sich um den Hashcode des Namens fuer den Typ.

  Returns:
    Der Hashcode des Typs.

### equals

    public boolean equals(Object o)

  Prueft das uebergebene Object auf Gleichheit mit diesem Object. Die Objekte sind dann gleich, wenn das uebergebene Objekt vom gleichen Typ ist und der Name beider Objekte gleich ist.

  Parameters:
    `o` - Das mit diesem Objekt zu vergleichende Objekt.
  Returns:
    boolean TRUE, wenn beiden Objekte gleich sind.

### toString

    public String toString()

  Gibt eine Stringrepraesentation des Objektes zurueck. Hier wird einfach der Name des Typs zurueckgegeben.

  Returns:
    Eine Stringrepraesentation des Objektes.

### getTypeFor

    public static AttributeTypes getTypeFor(String name)

  Gibt die Konstante zurueck, die dem uebergebenen Wert entspricht. Falls es keine Konstanten mit dem uebergebenen Wert gibt wird NULL zurueckgegeben.

  Parameters:
    `name` - String Der Wert der Konstanten.
  Returns:
    AttributeTypes Die Konstante zum Wert oder NULL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD